@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

h1,
h2 {
    font-family: 'Cinzel', serif;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(15, 4, 42);
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    height: 100vh;
}

body::before {
    content: "";
    position: fixed;
    inset: 0;
    background-image: url(/imgs/bg.gif);
    background-size: cover;
    background-position: center;
    opacity: 0.4;
    z-index: -1;
}

body::after {
    content: "";
    position: fixed;
    inset: 0;
    background: black;
    z-index: 9999;
    animation: fadeOut 1s ease forwards;
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        visibility: hidden;
    }
}

.desc-font {
    opacity: 79%;
    margin: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    gap: 10px;

    opacity: 0;
    transform: translateX(-40px);
    animation: slideTitle 1s ease forwards;
}

.card-comms {
    width: auto;
    height: auto;
    padding: 40px;
    border-radius: 15px;
    background-color: rgba(0, 0, 0, 0.40);

}

.desc-font2 {
    opacity: 79%;
    display: flex;
    justify-content: start;

    font-family: "Poppins", sans-serif;
    font-size: 14px;

    opacity: 0;
    transform: translateX(-40px);
    animation: slideTitle 1s ease forwards;
}

.desc-font3 {
    opacity: 79%;
    display: flex;
    justify-content: start;
    align-items: start;
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    gap: 10px;

    opacity: 0;
    transform: translateX(40px);
    animation: slideTitle 1s ease forwards;
}


.nav-bottons-comms ul {
    user-select: none;
    font-weight: 420;
    border-radius: 10px;
    background-color: rgba(107, 128, 179, 0.06);
    display: flex;
    flex-direction: row;
    width: auto;
    justify-content: center;
    gap: 12px;
    padding: 13px;
    list-style: none;
}

.nav-bottons-comms a {
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    font-family: "Kanit", sans-serif;
    font-size: 18px;
    display: flex;
    background-color: rgba(0, 0, 0, 0.421);
    padding: 5px;
    border-radius: 5px;
    transition: 0.2s;
}

.nav-bottons-comms a:hover {
    background-color: rgba(0, 0, 0, 0.300);
    transform: scale(1.04);
}

.nav-bottons-comms li {
    opacity: 0;
    transform: translateY(20px);
    animation: fadeUp 0.6s ease forwards;
}




.card {
    width: auto;
    height: auto;
    padding: 40px;
    border-radius: 15px;
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 70px;
    background-color: rgba(0, 0, 0, 0.40);
}



h1 {
    font-size: 30px;
    color: rgb(93, 176, 243);
    text-shadow: 0 0 10px;

    opacity: 0;
    transform: translateY(30px);
    animation: titleReveal 1.2s ease forwards;
}


@keyframes titleReveal {
    from {
        opacity: 0;
        transform: translateY(30px);
        filter: blur(0);
    }

    to {
        opacity: 1;
        transform: translateY(0);
        filter: blur(0);
    }
}

.name-desc p {
    color: white;
}

.name-desc img {
    transition: 0.2s ease;
}

.name-desc img:hover {
    transform: scale(1.04);
}

.profile-pic {
    border-radius: 100px;
    animation: fadeInprofile 1.5s ease forwards, float 1s ease-in-out;
}

@keyframes fadeInprofile {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes float {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-5px);
    }

    100% {
        transform: translateY(0px);
    }
}


.nav-bottons ul {
    user-select: none;
    font-weight: 420;
    border-radius: 10px;
    background-color: rgba(107, 128, 179, 0.06);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: auto;
    justify-content: center;
    gap: 12px;
    padding: 13px;
    list-style: none;
}

.nav-bottons a {
    -webkit-tap-highlight-color: transparent;
    font-family: "Kanit", sans-serif;
    font-size: 18px;
    display: flex;
    background-color: rgba(0, 0, 0, 0.421);
    padding: 5px;
    border-radius: 5px;
    transition: 0.2s;
}

.nav-bottons li {
    opacity: 0;
    transform: translateY(20px);
    animation: fadeUp 0.6s ease forwards;
}


@keyframes fadeUp {
    0% {
        opacity: 0;
        transform: translateY(25px) scale(0.95);
        filter: blur(2px);
    }

    100% {
        opacity: 1;
        transform: translateY(0) scale(1);
        filter: blur(0);
    }
}

.nav-bottons a:hover {
    background-color: rgba(0, 0, 0, 0.300);
    transform: scale(1.08);
}

.nav-bottons img {
    margin-right: 6px;
    width: 20px;
    filter: brightness(0) invert(1);
}

.home-link {
    text-decoration: none;
    color: #cbc7ea;
}

/* ICONES SOCIAIS*/

.social-bottons ul {
    display: flex;
    gap: 30px !important;
    justify-content: center;
    align-items: center;
    gap: 30px !important;
    list-style: none;
    padding: 0;
}

.social-bottons {
    display: flex;
    justify-content: center;
    padding: 10px;
}

.social-bottons img {
    opacity: 75%;
    user-select: none;
    width: 31px;
    object-fit: contain;
    list-style: none;
    transition: 0.3s;
    filter: brightness(0) invert(1);
}

.social-bottons li {
    opacity: 0;
    transform: translateY(20px);
    animation: fadeUp 0.5s ease forwards;
}

.social-bottons li:nth-child(1) {
    animation-delay: 0.3s;
}

.social-bottons li:nth-child(2) {
    animation-delay: 0.5s;
}

.social-bottons li:nth-child(3) {
    animation-delay: 0.7s;
}

.social-bottons li:nth-child(4) {
    animation-delay: 0.9s;
}

.social-bottons li:nth-child(5) {
    animation-delay: 1.1s;
}



.social-bottons img.insta {
    width: 30px;
}

.social-bottons img.vgen {
    width: 35px;
}

.social-bottons img.tiktok {
    width: 32px;
}

.social-bottons img:hover {
    transform: scale(1.15);
    opacity: 100%;
}

.social-bottons a {
    user-select: none;
    -webkit-tap-highlight-color: transparent;
}

.discord-id {
    margin-top: 10px;
}

.cloud-id {
    margin-top: 10px;
}

/* WOI */
.woi-text {
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
}

.woi-text p {
    font-family: "Poppins", sans-serif;
}

.woi-text a {
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    display: inline-block;
    text-decoration: none;
    color: white;
    border: 1px solid white;
    padding: 10px;
    border-radius: 5px;
    transition: 0.3s;
}

.woi-text a:hover {
    background-color: rgba(142, 187, 246, 0.2);
    transform: scale(1.02);
}

.box {
    display: flex;
    justify-content: center;

}

.box div {
    margin: 10px;
    background-color: rgb(128, 119, 171);
    width: 300px;
    border-radius: 10px;
    padding: 1px;
}

.discord-color {
    color: rgb(216, 226, 234);
}

.cloud-color {
    margin-top: 10px;
    color: rgb(216, 226, 234);
    text-align: center;
    animation: cloudReveal 1.2s ease forwards;
}

@keyframes cloudReveal {
    from {
        opacity: 0;
        transform: translateX(-30px);
        filter: blur(0);
    }

    to {
        opacity: 1;
        transform: translateY(0);
        filter: blur(0);
    }
}

/* TOS*/
.container-terms-service {
    margin: auto 40px;
    padding: 20px;
    border-radius: 15px;
    width: 450px;
    background-color: rgba(0, 0, 0, 0.40);
    justify-items: center;
    text-align: center;
    color: rgb(216, 226, 234);

    opacity: 0;
    transform: translateY(30px);
    animation: containerReveal 1.2s ease forwards;
}

@keyframes containerReveal {
    from {
        opacity: 0;
        transform: translateY(30px);
        filter: blur(6px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
        filter: blur(0);
    }
}

.container-terms-service p {
    text-align: left;
    line-height: 19px;
}

.container-terms-service li {
    list-style: none;
    text-align: start;
    line-height: 20px;
    margin-bottom: 10px;
}

.container-terms-service h2 {
    text-align: center;
    line-height: 40px;
    color: rgb(86, 143, 207);
    text-shadow: 0 0 10px;

    opacity: 0;
    transform: translateX(40px);
    animation: slideTitle 1s ease forwards;
}

.container-terms-service li {
    opacity: 0;
    transform: translateX(-40px);
    animation: slideTitle 1s ease forwards;
}

.container-terms-service p {
    opacity: 0;
    transform: translateY(-40px);
    animation: slideTitle 1s ease forwards;
}


@keyframes slideTitle {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@media (max-width:400px) {
    .adjustment {
        font-size: 20px;
    }
}

@media (max-width:600px) {
    .adjustment2 {
        font-size: 21px;
    }
}

@media (max-width:400px) {
    .adjustment2 {
        font-size: 19px;
    }
}

.divider {
    margin: 3px;
}

.divider-comms {
    opacity: 0;
    filter: blur(4px);

    animation: revealStars 1.2s ease forwards;
    animation-delay: 0.2s;
}

@keyframes revealStars {
    to {
        opacity: 0.8;
        filter: blur(0);
        letter-spacing: 2px;
    }
}


.color-star {
    color: rgb(120, 170, 226);
    text-shadow: 0 0 10px;
}



.bold {
    color: rgb(86, 143, 207);
    text-shadow: 0 0 10px;
}

.process-color {
    display: flex;
    justify-content: center;
    text-align: center;
    color: rgb(86, 143, 207);
    text-shadow: 0 0 10px;
}

.symbols {
    -webkit-text-stroke-width: 0.3px;
    -webkit-text-stroke-color: rgb(255, 255, 255);
}


.warning h2 {
    font-size: 21px;
    color: rgb(86, 143, 207);
    text-shadow: 0 0 20px;
}

.agree-disagree-link a {
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    margin-top: 10px;
}

.agree-disagree-link a {
    padding: 10px;
    border: 1px solid white;
    border-radius: 5px;
    color: white;
    text-decoration: none;
    transition: 0.3s;

}

.agree-disagree-link a:hover {
    transform: scale(1.02);
    background-color: rgba(142, 187, 246, 0.2);
}